# TMR_memoryCookie Struct Reference

`#include <tm_reader.h>`

List of all members.

## Public Attributes

uint8_t * | firmwareStart
uint32_t | firmwareSize

## Detailed Description

Cookie for state storage of a TMR_memoryProvider.

## Member Data Documentation

uint32_t TMR_memoryCookie::firmwareSize

Size of the firmware image

uint8_t* TMR_memoryCookie::firmwareStart

Pointer to the start of the firmware image in memory

The documentation for this struct was generated from the following file:

- tm_reader.h